Inhalte

# URI-Funktionen

Diese Tabellenfunktionen werden zum Einfügen von Daten aus Universal Resource Identifiers (URI) verwendet.

## WEBDIENST

Liefert den Webinhalt zu einer URL.

### Syntax

WEBDIENST(URL)

URL: URL zu einem Webdienst.

### Beispiele

=WEBDIENST("wiki.documentfoundation.org/api.php?hidebots=1&days=7&limit=50&action=feedrecentchanges&feedformat=rss")

Gibt den Webseiteninhalt von "https://wiki.documentfoundation.org/api.php?hidebots=1&days=7&limit=50&action=feedrecentchanges&feedformat=rss" zurück.

#### Technische Information

Diese Funktion ist seit LibreOffice 4.2 verfügbar.

Diese Funktion ist nicht Bestandteil des Standards Open Document Format für Office-Anwendungen (OpenDocument) Version 1.3. Teil 4: Format für neu berechnete Formeln (OpenFormula). Der Namensraum ist

COM.MICROSOFT.WEBSERVICE

## XMLFILTERN

Wendet einen XPath-Ausdruck für ein XML-Dokument an.

### Syntax

XMLFILTERN(XML-Dokument; XPath-Ausdruck)

XML-Dokument (erforderlich): Zeichenfolge eines gültigen XML-Datenstroms.

XPath-Ausdruck (erforderlich): Zeichenfolge eines gültigen XPath-Ausdrucks.

### Beispiele

=XMLFILTERN(WEBDIENST("wiki.documentfoundation.org/api.php?hidebots=1&days=7&limit=50&action=feedrecentchanges&feedformat=rss");"//lastBuildDate")

Gibt Informationen über das letzte Erstellungsdatum des Wikis zurück.

#### Technische Information

Diese Funktion ist seit LibreOffice 4.2 verfügbar.

Diese Funktion ist nicht Bestandteil des Standards Open Document Format für Office-Anwendungen (OpenDocument) Version 1.3. Teil 4: Format für neu berechnete Formeln (OpenFormula). Der Namensraum ist

COM.MICROSOFT.FILTERXML

## URLCODIEREN

Gibt eine URL-codierte Zeichendolge zurück.

Verwenden Sie diese Funktion, um Text mit Zeichen eines nationalen Alphabets (beispielsweise Buchstaben mit Akzenten, Nicht-ASCII-Alphabete oder asiatische Wörter) in eine Zeichenfolge mit URL-Standard-Zeichen umzuwandeln.

### Syntax

URLCODIEREN(Text)

Text: Zeichenfolge, die in eine Folge aus URL-Standardsymbolen kodiert werden soll.

### Beispiele

Wenn Zelle A1 den kyrillischen Text "автомобиль" enthält, gibt =URLCODIEREN(A1) %D0%B0%D0%B2%D1%82%D0%BE%D0%BC%D0%BE%D0%B1%D0%B8%D0%BB%D1%8C zurück (das Wort "автомобиль" bedeutet Auto im Russischen).

Wenn Zelle B1 den Text "車" enthält, gibt =URLCODIEREN(B1) %E8%BB%8A zurück ("車" bedeutet Auto im Japanischen).

#### Technische Information

Diese Funktion ist seit LibreOffice 5.0 verfügbar.

Diese Funktion ist nicht Bestandteil des Standards Open Document Format für Office-Anwendungen (OpenDocument) Version 1.3. Teil 4: Format für neu berechnete Formeln (OpenFormula). Der Namensraum ist

COM.MICROSOFT.ENCODEURL

Verwandte Themen

Wikiseiten zu WEBDIENST, XMLFILTERN, URLCODIEREN.